Bug 134312 - Juk crashes when it finds an empty flac file
Summary: Juk crashes when it finds an empty flac file
Status: RESOLVED FIXED
Alias: None
Product: juk
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR crash with 10 votes (vote)
Target Milestone: ---
Assignee: Scott Wheeler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-19 09:42 UTC by Daniel Roberge
Modified: 2007-07-05 05:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Roberge 2006-09-19 09:42:49 UTC
Version:            (using KDE KDE 3.5.4)
Installed from:    Debian testing/unstable Packages
OS:                Linux

In one of my collection directories I had, due to a software error, an empty file with a .flac extension. If I add this directory to JuK it tries to read the tag from the empty file and immediately crashes, without an error message, even on the console.
Comment 1 Daniel Roberge 2006-09-19 10:18:22 UTC
Backtrace of crash:
------------------
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1247193408 (LWP 7839)]
[KCrash handler]
#6  0x08125767 in Tag::setup (this=0x8a7ab78, file=0xbfab8a6c)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/tag.cpp:230
#7  0x081272ec in Tag (this=0x8a7ab78, fileName=@0x8a6236c)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/tag.cpp:70
#8  0x080bf5af in FileHandle::tag (this=0xbfab8b60)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/filehandle.cpp:157
#9  0x080fa0a5 in Playlist::addFile (this=0x828ff88, file=@0xbfab8c44, 
    files=@0xbfab8ca8, importPlaylists=false, after=0xbfab8cc8)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/playlist.cpp:1808
#10 0x080f9e2f in Playlist::addFile (this=0x828ff88, file=@0x89b6178, 
    files=@0xbfab8ca8, importPlaylists=true, after=0xbfab8cc8)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/playlist.cpp:1839
#11 0x080fa4d6 in Playlist::addFiles (this=0x828ff88, files=@0xbfab8cf0, 
    after=0x8802c00)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/playlist.cpp:1352
#12 0x081098ef in PlaylistCollection::open (this=0x82558e0, l=@0xbfab8e74)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/playlistcollection.cpp:330
#13 0x081093b4 in PlaylistCollection::addFolder (this=0x82558e0)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/playlistcollection.cpp:373
#14 0x08110d1d in PlaylistCollection::ActionHandler::qt_invoke (
    this=0x8272990, _id=5, _o=0xbfab8f6c)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/playlistcollection.h:227
#15 0xb67f9b87 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#16 0xb67fa618 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#17 0xb7145759 in KAction::activated () from /usr/lib/libkdeui.so.4
#18 0xb717bfe1 in KAction::slotActivated () from /usr/lib/libkdeui.so.4
#19 0xb7259f4e in KAction::slotPopupActivated () from /usr/lib/libkdeui.so.4
#20 0xb725a221 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4
#21 0xb67f9b87 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#22 0xb6b82c0b in QSignal::signal () from /usr/lib/libqt-mt.so.3
#23 0xb681970a in QSignal::activate () from /usr/lib/libqt-mt.so.3
#24 0xb691eba1 in QPopupMenu::mouseReleaseEvent () from /usr/lib/libqt-mt.so.3
#25 0xb714abae in KPopupMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.4
#26 0xb6830528 in QWidget::event () from /usr/lib/libqt-mt.so.3
#27 0xb6791aea in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#28 0xb6793c8d in QApplication::notify () from /usr/lib/libqt-mt.so.3
#29 0xb6f1752e in KApplication::notify () from /usr/lib/libkdecore.so.4
#30 0xb6725445 in QApplication::sendSpontaneousEvent ()
   from /usr/lib/libqt-mt.so.3
#31 0xb6723e38 in QETWidget::translateMouseEvent () from /usr/lib/libqt-mt.so.3
#32 0xb6722660 in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#33 0xb6738cb2 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#34 0xb67ac03d in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#35 0xb67abe5e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#36 0xb6793683 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#37 0x080e3e5d in main (argc=0, argv=0x11)
    at /home/sid-user/kdemultimedia/kdemultimedia-3.5.4/./juk/main.cpp:95
Comment 2 shattered 2007-02-24 21:53:44 UTC
Still happens in KDE 3.5.6.
Comment 3 Geoff Oakham 2007-05-08 06:15:25 UTC
I found the a similar problem, except my flac file has a invalid header (apparently).  Here's what it shows on the console:

kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
KCrash: Application 'juk' crashing...
DCOP aborting (delayed) call from 'anonymous-10104' to 'juk'

I'm not attaching the file because it's 45M (and it's copyrighted).
Comment 4 Michael Pyne 2007-07-05 05:22:13 UTC
This bug should be fixed as of revision 683615.